3 Replies Latest reply on Feb 14, 2011 12:40 PM by ksjosh82

    Cant update Adobe Reader?

    mei1079

      My adobe Acrobat plugin for firefox keeps crashing, and it says it is vulnerable when I check for updates. I try to update it, and it directs me to the Adobe Reader page. I try to install it, and it SEEMS to work, but the download manager is A) In Japanese, and B) Never does anything but sit there, until I click the big yellow button and it closes. My plugin check STILL says that it hasnt been updated.

       

      Any ideas how I can fix this?